/* ============================================================= */
/* Buttons
/* ============================================================= */

.wp-block-buttons>.wp-block-button {
    position: relative;
}

.wp-block-buttons > .wp-block-button:before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100% + 1em);
    height: 100%;
    background-color: var(--wp--preset--color--content-alt, #2E7AA2);
    transform: translateX(0.3em) translateY(0.3em);
}

.wp-block-button__link {
    clip-path: polygon(0 0, 100% 0, calc(100% - 0.5em) 100%, 0% 100%);
    transition: all 0.3s linear;
}


/* ============================================================= */
/* Columns
/* ============================================================= */

.wp-block-columns.is-style-wrap-tablet {
    flex-wrap: wrap!important;
}

.wp-block-columns.is-style-wrap-tablet:not(.is-not-stacked-on-mobile)>.wp-block-column {
    flex-basis: 100%!important;
}


/* ============================================================= */
/* DP Accordion
/* ============================================================= */

.dp-accordion .dp-accordion-heading,
.dp-accordion .dp-accordion-heading:active,
.dp-accordion .dp-accordion-heading:focus {
    background-color: var(--wp--preset--color--bg-grey, #f8f8f8) !important;
    color: var(--wp--preset--color--content-alt, #2E7AA2) !important;
}

.dp-accordion .dp-accordion-heading h3 {
    font-weight: 400!important;
}

.dp-accordion .dp-accordion-heading svg path {
    fill: currentColor;
}

/* ============================================================= */
/* DP Timeline
/* ============================================================= */

.dp-timeline .content .title {
    color: var(--wp--preset--color--primary, #009BDF);
    font-size: var(--wp--preset--font-size--x-large, 1.5rem);
}

/* ============================================================= */
/* Image
/* ============================================================= */

.wp-block-image {
    position: relative;
}

.wp-block-image:not(.no-animation) {
    overflow: hidden;
}

.wp-block-image.nooverflow{
    overflow: visible!important;
}


.wp-block-image.aligncenter,
.wp-block-image .aligncenter,
.wp-block-image.alignleft,
.wp-block-image .alignleft,
.wp-block-image.alignright,
.wp-block-image .alignright {
    display: block;
}

.wp-block-image figcaption {
    position: absolute;
    bottom: 0;
    left: 0;
    color: #ffffff;
    line-height: 1;
    text-shadow: 0 0 3px rgb(0 0 0 / 50%);
    padding: 10px;
    margin: 0;
    pointer-events: none;
}

.wp-block-image:not(.no-animation) a > img {
    transform-origin: center;
    transition: transform 0.3s ease-out;
}

.wp-block-image:not(.no-animation):hover a > img {
    transform: scale(1.05);
}


/* ============================================================= */
/* Footer Contact
/* ============================================================= */

#footer-contact {
    padding-left: 5vw;
    padding-right: 5vw;
}

#footer-contact .dp-wrapper-col {
    display: flex;
    flex-flow: column nowrap;
    gap: 4em;
}

#footer-contact .dp-wrapper-col > .wp-block-group:first-child {
    order: 2;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    position: relative;
    min-height: 25vw;
    padding-top: 4em;
    padding-bottom: calc(var(--padding-triangle) + 2em);
}

#footer-contact .dp-wrapper-col > .wp-block-group:not(:first-child) {
    margin-top: 4em;
    margin-bottom: 5%;
}

#footer-contact .dp-wrapper-col > .wp-block-group:first-child:before {
    z-index: -1;
    content: "";
    position: absolute;
    top: 0;
    left: -5vw;
    width: 100vw;
    height: 100%;
    background-color: var(--wp--preset--color--content-alt, #2E7AA2);
    transform: skewY(-10deg);
    transform-origin: left;
}

/* ============================================================= */
/* Quote
/* ============================================================= */

.wp-block-quote {
    border-left: solid 3px currentColor;
    padding: 0 0 0 1em;
    margin: 0;
}

.wp-block-quote > *:first-child {
    margin-top: 0;
}

/* ============================================================= */
/* Table
/* ============================================================= */

.wp-block-table.is-style-stripes tbody tr:nth-child(odd) {
    background-color: var(--wp--preset--color--bg-grey, #f8f8f8);
}

.wp-block-table svg.icon-checkmark {
    color: var(--wp--preset--color--primary, #009BDF);
    display: block;
    margin-left: auto;
    margin-right: auto;
}

/* ============================================================= */
/* YouTube
/* ============================================================= */


.wp-block-embed-youtube .wp-block-embed__wrapper {
    overflow: hidden;
    position: relative;
    max-width: 100%;
    height: auto;
    padding-bottom: 56.25%;
}

.wp-block-embed-youtube iframe,
.wp-block-embed-youtube object,
.wp-block-embed-youtube embed {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.wp-block-embed figcaption {
    color: var(--wp--preset--color--content-alt, #2E7AA2);
    text-align: center;
    font-weight: 600;
}

@media (min-width: 1200px) {

    /* ============================================================= */
    /* Columns
    /* ============================================================= */

    .wp-block-columns.is-style-wrap-tablet  {
        flex-wrap: nowrap!important;
    }

    .wp-block-columns.is-style-wrap-tablet :not(.is-not-stacked-on-mobile)>.wp-block-column {
        flex-basis: 0!important;
        flex-grow: 1!important;
    }


    /* ============================================================= */
    /* Footer Contact
    /* ============================================================= */

    #footer-contact .dp-wrapper-col {
        flex-direction: row;
    }

    #footer-contact .dp-wrapper-col > .wp-block-group {
        order: 2;
        flex: 2;
    }

    #footer-contact .dp-wrapper-col > .wp-block-group:first-child {
        order: 1;
        flex: 1;
        min-height: 100%;
        padding-top: calc((100% + 5vw + 2em) / var(--padding-triangle-num));
        padding-bottom: 0;
        margin: 0;
    }

    #footer-contact .dp-wrapper-col > .wp-block-group:not(:first-child) {
        margin-bottom: 0;
    }

    #footer-contact .dp-wrapper-col > .wp-block-group:first-child:before {
        width: calc(100% + 5vw + 2em);
        transform-origin: right;
    }

}